Jack::AtomicArrayCounter Struct Reference

Counter for CAS. More...

`#include <JackAtomicArrayState.h>`

## Public Member Functions

| AtomicArrayCounter (volatile const AtomicArrayCounter &obj)
| AtomicArrayCounter (volatile AtomicArrayCounter &obj)
AtomicArrayCounter & | operator= (volatile AtomicArrayCounter &obj)
AtomicArrayCounter & | operator= (AtomicArrayCounter &obj)

## Public Attributes

union {
struct {
unsigned char fByteVal [4]
} scounter
UInt32 fLongVal
} | info

## Detailed Description

Counter for CAS.

Definition at line 34 of file JackAtomicArrayState.h.

The documentation for this struct was generated from the following file:

- JackAtomicArrayState.h